﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace NetworkCommon
{
  /// <summary>
  /// Enum of message ids for the various network messages
  /// </summary>
  public enum MessageIDs : int
  {
    /// <summary>
    /// not a message id, but a place holder for 1 below the lowest valid
    /// message id
    /// </summary>
    MSG_ID_MIN,
    
    /// <summary>
    /// ID for messages rejecting a connection
    /// </summary>
    CONNECTION_REJECTED,
    
    /// <summary>
    /// ID for messages that are informing the other side of the connection
    /// being closed
    /// </summary>
    CLOSE_CONNECTION,
    
    /// <summary>
    /// ID for messages that are settting a single numeric value
    /// </summary>
    SET_SINGLE,
    
    /// <summary>
    /// ID for messages that are setting a string value
    /// </summary>
    SET_STRING,
    
    /// <summary>
    /// ID for messages that are specifying the entire color set
    /// </summary>
    COLOR_SET,
    
    /// <summary>
    /// ID for messages that are specifying the entire color sequence in order
    /// </summary>
    COLOR_SEQ,
    
    /// <summary>
    /// not a message id, but a place holder for 1 above the highest valid
    /// message id
    /// </summary>
    MSG_ID_MAX,
  }
}
