﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.Xna.Framework;

namespace Particle_System_Editor
{
  static public class ColorConvert
  {
    /// <summary>
    /// Converts a rendering format color to a System.Drawing.Color instance
    /// </summary>
    /// <param name="color">
    /// rendering format color to convert
    /// </param>
    /// <returns>
    /// the same color in System.Drawing.Color form
    /// </returns>
    static public System.Drawing.Color ToSystemColor(this Vector3 color)
    {
      return System.Drawing.Color.FromArgb(255,(int)(color.X * 255),
        (int)(color.Y * 255),(int)(color.Z * 255));
    }
    
    /// <summary>
    /// Converts a System.Drawing.Color to a color format for the rendering
    /// process
    /// </summary>
    /// <param name="color">
    /// System.Drawing.Color to convert
    /// </param>
    /// <returns>
    /// the same color in XNA's color form
    /// </returns>
    static public Vector3 ToRenderingColor(this System.Drawing.Color color)
    {
      return new Vector3(color.R / 255f,color.G / 255f,color.B / 255f);
    }
  }
}
