﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.Xna.Framework;

namespace XNA_Renderer.ParticleSystem.DispersionControl
{
  /// <summary>
  /// Base class for dispersion control classes
  /// </summary>
  /// <remarks>
  /// A base class is used instead of delegates or lambda expressions to make
  /// it easy for adding additional dispersion controls if plug-ins are
  /// eventually supported
  /// </remarks>
  abstract class DispersionBase
  {
    /// <summary>
    /// Determines the direction of a newly spawned particle
    /// </summary>
    /// <returns>
    /// unit vector representing the direction of the particle in emitter local
    /// space
    /// </returns>
    abstract public Vector4 GetDirection();
  }
}
