﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.Xna.Framework;

namespace XNA_Renderer.ParticleSystem.DispersionControl
{
  /// <summary>
  /// Sets particle movement to be in a sphere from its spawned position
  /// </summary>
  class Spherical : DispersionBase
  {
    /// <summary>
    /// Determines the direction of a newly spawned particle
    /// </summary>
    /// <returns>
    /// unit vector representing the direction of the particle in emitter local
    /// space
    /// </returns>
    public override Vector4 GetDirection()
    {
      Vector4 back = new Vector4(StaticRandom.Rng.NextFloat() * 2 - 1,
        StaticRandom.Rng.NextFloat() * 2 - 1,
        StaticRandom.Rng.NextFloat() * 2 -1,
        0);
      back.Normalize();
      
      return back;
    }
  }
}
