﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.Xna.Framework;

namespace XNA_Renderer.ParticleSystem.EmitterShapes
{
  /// <summary>
  /// Circle emitter that creates particles in a unit circle in the xz plane in
  /// the emitter's local space, centered at the origin
  /// </summary>
  class Circle : EmitterShapeBase
  {
    /// <summary>
    /// Retrieves a position for a new particle based on the particular
    /// subtype's intented shape
    /// </summary>
    /// <returns>
    /// position for a new particle in the emitter's local space
    /// </returns>
    /// <remarks>
    /// This does not take into account scaling, rotation, etc since the
    /// particle system itself does that
    /// </remarks>
    public override Vector4 SpawnPosition()
    {
      Vector4 val = new Vector4(StaticRandom.Rng.NextFloat() * 2 - 1,0,
        StaticRandom.Rng.NextFloat() * 2 - 1,1);
      if (val.LengthSquared() > 1)
      {
        val.Normalize();
      }
      
      return val;
    }
  }
}
