﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.Xna.Framework;

namespace XNA_Renderer.ParticleSystem.EmitterShapes
{
  /// <summary>
  /// Base class for emitter shapes
  /// </summary>
  /// <remarks>
  /// A base class is used instead of delegates or lambda expressions to make
  /// it easy for adding additional shapes if plug-ins are eventually supported
  /// </remarks>
  abstract class EmitterShapeBase
  {
    /// <summary>
    /// Retrieves a position for a new particle based on the particular
    /// subtype's intented shape
    /// </summary>
    /// <returns>
    /// position for a new particle in the emitter's local space
    /// </returns>
    /// <remarks>
    /// This does not take into account scaling, rotation, etc since the
    /// particle system itself does that
    /// </remarks>
    abstract public Vector4 SpawnPosition();
  }
}
