﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.Xna.Framework;

namespace XNA_Renderer.ParticleSystem.EmitterShapes
{
  /// <summary>
  /// Point emitter that creates particles in a the origin of the particle
  /// system's local space
  /// </summary>
  class Point : EmitterShapeBase
  {
    /// <summary>
    /// Retrieves a position for a new particle based on the particular
    /// subtype's intented shape
    /// </summary>
    /// <returns>
    /// position for a new particle in the emitter's local space
    /// </returns>
    /// <remarks>
    /// This does not take into account scaling, rotation, etc since the
    /// particle system itself does that
    /// </remarks>
    public override Vector4 SpawnPosition()
    {
      return Vector4.UnitW;
    }
  }
}
