﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.Xna.Framework;

namespace XNA_Renderer.ParticleSystem.EmitterShapes
{
  /// <summary>
  /// Square emitter that creates particles in a 1x1 region in the xz plane in
  /// the emitter's local space, centered at the origin
  /// </summary>
  class Square : EmitterShapeBase
  {
    /// <summary>
    /// Retrieves a position for a new particle based on the particular
    /// subtype's intented shape
    /// </summary>
    /// <returns>
    /// position for a new particle in the emitter's local space
    /// </returns>
    /// <remarks>
    /// This does not take into account scaling, rotation, etc since the
    /// particle system itself does that
    /// </remarks>
    public override Vector4 SpawnPosition()
    {
      return new Vector4(StaticRandom.Rng.NextFloat() - .5f,0,
        StaticRandom.Rng.NextFloat() - .5f,1);
    }
  }
}
